/*
 * Please do not edit this file.
 * It was generated using rpcgen.
 */

#include "lin.h"

/* Default timeout can be changed using clnt_control() */
static struct timeval TIMEOUT = { 25, 0 };

int *
remote_open_1(argp, clnt)
	remote_o_struct *argp;
	CLIENT *clnt;
{
	static int clnt_res;

	memset((char *)&clnt_res, 0, sizeof (clnt_res));
	if (clnt_call(clnt, REMOTE_OPEN,
		(xdrproc_t) xdr_remote_o_struct, (caddr_t) argp,
		(xdrproc_t) xdr_int, (caddr_t) &clnt_res,
		TIMEOUT) != RPC_SUCCESS) {
		return (NULL);
	}
	return (&clnt_res);
}

int *
remote_close_1(argp, clnt)
	int *argp;
	CLIENT *clnt;
{
	static int clnt_res;

	memset((char *)&clnt_res, 0, sizeof (clnt_res));
	if (clnt_call(clnt, REMOTE_CLOSE,
		(xdrproc_t) xdr_int, (caddr_t) argp,
		(xdrproc_t) xdr_int, (caddr_t) &clnt_res,
		TIMEOUT) != RPC_SUCCESS) {
		return (NULL);
	}
	return (&clnt_res);
}

remote_r_w_struct *
remote_read_1(argp, clnt)
	remote_r_w_struct *argp;
	CLIENT *clnt;
{
	static remote_r_w_struct clnt_res;

	memset((char *)&clnt_res, 0, sizeof (clnt_res));
	if (clnt_call(clnt, REMOTE_READ,
		(xdrproc_t) xdr_remote_r_w_struct, (caddr_t) argp,
		(xdrproc_t) xdr_remote_r_w_struct, (caddr_t) &clnt_res,
		TIMEOUT) != RPC_SUCCESS) {
		return (NULL);
	}
	return (&clnt_res);
}

int *
remote_write_1(argp, clnt)
	remote_r_w_struct *argp;
	CLIENT *clnt;
{
	static int clnt_res;

	memset((char *)&clnt_res, 0, sizeof (clnt_res));
	if (clnt_call(clnt, REMOTE_WRITE,
		(xdrproc_t) xdr_remote_r_w_struct, (caddr_t) argp,
		(xdrproc_t) xdr_int, (caddr_t) &clnt_res,
		TIMEOUT) != RPC_SUCCESS) {
		return (NULL);
	}
	return (&clnt_res);
}
